Bug 22859 - Abstract away the use of JSDOMWindow in CachedPage and introduce ScriptCachedPageData abstraction.
Summary: Abstract away the use of JSDOMWindow in CachedPage and introduce ScriptCached...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Enhancement
Assignee: Dimitri Glazkov (Google)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-14 18:10 PST by Dimitri Glazkov (Google)
Modified: 2008-12-18 13:21 PST (History)
0 users

See Also:


Attachments
ScriptCachedPageData v1 (15.42 KB, patch)
2008-12-14 18:11 PST, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
ScriptCachedPageData v2 (added domWindow accessor) (15.86 KB, patch)
2008-12-16 10:36 PST, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
ScriptCachedPageData v2.1 (added added bug URL) (15.91 KB, patch)
2008-12-16 10:38 PST, Dimitri Glazkov (Google)
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2008-12-14 18:10:06 PST
I basically followed the same pattern as CachedPagePlatformData. Granted, this change only marginally improves separation of concerns, but it helps tremendously with the unforking.
Comment 1 Dimitri Glazkov (Google) 2008-12-14 18:11:45 PST
Created attachment 26017 [details]
ScriptCachedPageData v1

ScriptCachedPageData is a bit verbose, but I tried to stick with both Script prefix convention from existing JS abstractions and Data suffix convention of CachedPagePlatformData.
Comment 2 Dimitri Glazkov (Google) 2008-12-16 10:36:40 PST
Created attachment 26054 [details]
ScriptCachedPageData v2 (added domWindow accessor)

Rebased to trunk, added domWindow accessor per recent changes to CachedPage
Comment 3 Dimitri Glazkov (Google) 2008-12-16 10:38:19 PST
Created attachment 26055 [details]
ScriptCachedPageData v2.1 (added added bug URL)

I've neglected adding the bug URL in the previous attachment -- fixed.
Comment 4 Geoffrey Garen 2008-12-18 12:58:23 PST
Comment on attachment 26055 [details]
ScriptCachedPageData v2.1 (added added bug URL)

r=me
Comment 5 Darin Fisher (:fishd, Google) 2008-12-18 13:21:52 PST
http://trac.webkit.org/changeset/39379